Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O18GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:19:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O18GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O18GEMCoulombBarrier_h
 #define G4O18GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O18GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,8) {};
+//JMQ 200709
+//  G4O18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,8) {};
+  G4O18GEMCoulombBarrier() : G4GEMCoulombBarrier(18,8) {};
   ~G4O18GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O18GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O18GEMProbability.hh,v 1.3 2006/06/29 20:19:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O18GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O19GEMChannel.hh,v 1.3 2006/06/29 20:19:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O19GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O19GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:20:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O19GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O19GEMCoulombBarrier_h
 #define G4O19GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O19GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O19GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,8) {};
+//JMQ 200709
+//  G4O19GEMCoulombBarrier() : G4GEMCoulombBarrierHE(19,8) {};
+  G4O19GEMCoulombBarrier() : G4GEMCoulombBarrier(19,8) {};
   ~G4O19GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O19GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O19GEMProbability.hh,v 1.3 2006/06/29 20:20:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O19GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O20GEMChannel.hh,v 1.3 2006/06/29 20:20:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O20GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,28 @@
 //
 //
-// $Id: G4O20GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:20:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O20GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4O20GEMCoulombBarrier_h
 #define G4O20GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4O20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4O20GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4O20GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4O20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,8) {};
+//JMQ 200709
+//  G4O20GEMCoulombBarrier() : G4GEMCoulombBarrierHE(20,8) {};
+  G4O20GEMCoulombBarrier() : G4GEMCoulombBarrier(20,8) {};
   ~G4O20GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4O20GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4O20GEMProbability.hh,v 1.3 2006/06/29 20:20:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4O20GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ProtonGEMChannel.hh,v 1.3 2006/06/29 20:20:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ProtonGEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -37,5 +37,5 @@
 
 #include "G4GEMChannel.hh"
-#include "G4ProtonCoulombBarrier.hh"
+#include "G4ProtonGEMCoulombBarrier.hh"
 #include "G4ProtonGEMProbability.hh"
 
@@ -64,6 +64,7 @@
 
 private:
-
-  G4ProtonCoulombBarrier theCoulombBarrier;
+     // JMQ 190709
+//     G4ProtonCoulombBarrier theCoulombBarrier;    
+  G4ProtonGEMCoulombBarrier theCoulombBarrier;
 	
   G4ProtonGEMProbability theEvaporationProbability;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4ProtonGEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ProtonGEMProbability.hh,v 1.3 2006/06/29 20:20:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ProtonGEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMChannel.hh	(revision 1196)
@@ -25,11 +25,11 @@
 //
 //
-// $Id: G4TritonGEMChannel.hh,v 1.3 2006/06/29 20:20:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4TritonGEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Sept. 2001)
 //
-
+// J. M. Quesada (July 2009) coulomb barrier striclty according to Furihata's paper
 
 #ifndef G4TritonGEMChannel_h
@@ -37,5 +37,5 @@
 
 #include "G4GEMChannel.hh"
-#include "G4TritonCoulombBarrier.hh"
+#include "G4TritonGEMCoulombBarrier.hh"
 #include "G4TritonGEMProbability.hh"
 
@@ -64,6 +64,7 @@
     
 private:
-    
-    G4TritonCoulombBarrier theCoulombBarrier;
+ // JMQ 190709
+//     G4TritonCoulombBarrier theCoulombBarrier;    
+    G4TritonGEMCoulombBarrier theCoulombBarrier;
 	
     G4TritonGEMProbability theEvaporationProbability;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4TritonGEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4TritonGEMProbability.hh,v 1.3 2006/06/29 20:20:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4TritonGEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMChannel.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMChannel.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AlphaGEMChannel.cc,v 1.4 2006/06/29 20:20:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4AlphaGEMChannel.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4AlphaGEMProbability.cc	(revision 1196)
@@ -25,11 +25,12 @@
 //
 //
-// $Id: G4AlphaGEMProbability.cc,v 1.4 2006/06/29 20:20:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4AlphaGEMProbability.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov 1999)
 //
-
+// J.M. Quesada (July 2009) C's and k's  values according to Furihata's paper 
+// (based on notes added on proof in Dostrovskii's paper)
 
 #include "G4AlphaGEMProbability.hh"
@@ -86,7 +87,14 @@
 }
 
+//JMQ 190709 C's values from Furihata's paper 
+//(notes added on proof in Dostrovskii's paper) 
+G4double G4AlphaGEMProbability::CCoeficient(const G4double/* aZ*/) const
+{
+    return 0.;
+}
 
-G4double G4AlphaGEMProbability::CCoeficient(const G4double aZ) const
-{
+
+//G4double G4AlphaGEMProbability::CCoeficient(const G4double aZ) const
+//{
     // Data comes from 
     // Dostrovsky, Fraenkel and Friedlander
@@ -96,17 +104,17 @@
     // G4double Zlist[5] = { 10.0, 20.0, 30.0, 50.0, 70.0};
     //	G4double Calpha[5] = { 0.10, 0.10, 0.10, 0.08, 0.06};
-    G4double C = 0.0;
+//    G4double C = 0.0;
 	
 	
-    if (aZ <= 30) {
-        C = 0.10;
-    } else if (aZ <= 50) {
-        C = 0.1 + -((aZ-50.)/20.)*0.02;
-    } else if (aZ < 70) {
-        C = 0.08 + -((aZ-70.)/20.)*0.02;
-    } else {
-        C = 0.06;
-    }
-    return C;
-}
+//    if (aZ <= 30) {
+//        C = 0.10;
+//    } else if (aZ <= 50) {
+//        C = 0.1 + -((aZ-50.)/20.)*0.02;
+//    } else if (aZ < 70) {
+//        C = 0.08 + -((aZ-70.)/20.)*0.02;
+//    } else {
+//        C = 0.06;
+//    }
+//    return C;
+//}
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B10GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B10GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B10GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B10GEMProbability.cc,v 1.5 2006/06/29 20:20:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B10GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B11GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B11GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B11GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B11GEMProbability.cc,v 1.5 2006/06/29 20:20:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B11GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B12GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B12GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B12GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B12GEMProbability.cc,v 1.5 2006/06/29 20:20:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B12GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B13GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B13GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B13GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B13GEMProbability.cc,v 1.4 2006/06/29 20:20:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B13GEMProbability.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B8GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B8GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4B8GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B8GEMProbability.cc,v 1.5 2006/06/29 20:21:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B8GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be10GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be10GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be10GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be10GEMProbability.cc,v 1.5 2006/06/29 20:21:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be10GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be11GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be11GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be11GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be11GEMProbability.cc,v 1.5 2006/06/29 20:21:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be11GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be12GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be12GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be12GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be12GEMProbability.cc,v 1.4 2006/06/29 20:21:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be12GEMProbability.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be7GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be7GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be7GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be7GEMProbability.cc,v 1.5 2006/06/29 20:21:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be7GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be9GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be9GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4Be9GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be9GEMProbability.cc,v 1.5 2006/06/29 20:21:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be9GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C10GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C10GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C10GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C10GEMProbability.cc,v 1.5 2006/06/29 20:21:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C10GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C11GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C11GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C11GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C11GEMProbability.cc,v 1.5 2006/06/29 20:21:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C11GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C12GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C12GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C12GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C12GEMProbability.cc,v 1.5 2006/06/29 20:21:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C12GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C13GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C13GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C13GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C13GEMProbability.cc,v 1.5 2006/06/29 20:21:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C13GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C14GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C14GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C14GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C14GEMProbability.cc,v 1.5 2006/06/29 20:21:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C14GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C15GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C15GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C15GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C15GEMProbability.cc,v 1.5 2006/06/29 20:21:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C15GEMProbability.cc,v 1.6 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C16GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C16GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4C16GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C16GEMProbability.cc,v 1.4 2006/06/29 20:21:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C16GEMProbability.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMChannel.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMChannel.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DeuteronGEMChannel.cc,v 1.4 2006/06/29 20:21:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4DeuteronGEMChannel.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4DeuteronGEMProbability.cc	(revision 1196)
@@ -25,11 +25,12 @@
 //
 //
-// $Id: G4DeuteronGEMProbability.cc,v 1.4 2006/06/29 20:21:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4DeuteronGEMProbability.cc,v 1.5 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Nov 1999)
 //
-
+// J.M. Quesada (July 2009) C's and k's  values according to Furihata's paper 
+// (based on notes added on proof in Dostrovskii's paper)
 
 #include "G4DeuteronGEMProbability.hh"
@@ -71,6 +72,24 @@
 
 
+//JMQ 190709 C's values from Furihata's paper 
+//(notes added on proof in Dostrovskii's paper) 
+//data = {{20, 0.}, {30, -0.06}, {40, -0.10}, {50, -0.10}};
 G4double G4DeuteronGEMProbability::CCoeficient(const G4double aZ) const
 {
+   G4double C = 0.0;
+	
+    if (aZ >= 50){
+      C=-0.10;     
+    } else if (aZ <= 20) {
+        C = 0.0;
+    } else C=0.123482-0.00534691*aZ-0.0000610624*aZ*aZ+5.93719*1e-7*aZ*aZ*aZ+1.95687*1e-8*aZ*aZ*aZ*aZ;	
+    return C/2.;
+	
+}
+
+
+
+//G4double G4DeuteronGEMProbability::CCoeficient(const G4double aZ) const
+//{
     // Data comes from 
     // Dostrovsky, Fraenkel and Friedlander
@@ -81,13 +100,13 @@
     // G4double Cp[5] = { 0.50, 0.28, 0.20, 0.15, 0.10};
     // C for deuteron is equal to C for protons divided by 2
-    G4double C = 0.0;
+//    G4double C = 0.0;
+//	
+//    if (aZ >= 70) {
+//        C = 0.10;
+//    } else {
+//        C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
+//    }
 	
-    if (aZ >= 70) {
-        C = 0.10;
-    } else {
-        C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375;
-    }
+//    return C/2.0;
 	
-    return C/2.0;
-	
-}
+//}
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4EvaporationGEMFactory.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4EvaporationGEMFactory.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4EvaporationGEMFactory.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EvaporationGEMFactory.cc,v 1.7 2006/06/29 20:21:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4EvaporationGEMFactory.cc,v 1.9 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F17GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F17GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F17GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F17GEMProbability.cc,v 1.5 2006/06/29 20:21:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F17GEMProbability.cc,v 1.6 2009/09/15 12:54:17 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F18GEMProbability.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F18GEMProbability.cc	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/src/G4F18GEMProbability.cc	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F18GEMProbability.cc,v 1.5 2006/06/29 20:21:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F18GEMProbability.cc,v 1.6 2009/09/15 12:54:17 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
